Владельцы старых Mac теперь тоже могут установить macOS Mojave

|
FavoriteLoading В закладки
Владельцы старых Mac теперь тоже могут установить macOS Mojave

Во время презентации macOS Mojave представители Apple отметили, что установить новую операционку смогут владельцы следующих компьютеров и ноутбуков:

  • MacBook Pro середина 2012 или новее;
  • MacBook Air середина 2012 или новее;
  • MacBook начало 2015 или новее;
  • iMac конец 2012 или новее;
  • Mac Mini конец 2012 или новее;
  • Mac Pro середина 2010 или новее;
  • iMac Pro 2017

Все остальные официально оказались за бортом. Apple искусственно ограничила доступ к установке macOS Mojave.

Ровно месяц на форуме зарубежного ресурса MacRumors разработчики-энтузиасты боролись с такой несправедливостью и, наконец, выпустили патч, позволяющий установить новую ОС даже на относительно древние модели компьютеров Mac.

Вот список устройств, на которые все-таки можно установить бета-версию macOS Mojave:

  • Xserve 2009
  • Mac Pro 2009
  • iMac Late 2009-Late 2011 (только с процессорами Intel Core 'i')
  • MacBook Air Mid 2011 (работает отлично, но бывают баги при прорисовке интерфейса)
  • MacBook Pro Mid 2010-Late 2011 (только с процессорами Intel Core 'i') (могут встречаться проблемы с прорисовкой интерфейса при отключение внешней графики)
  • Mac Mini Mid 2011 (HD 3000 работает отлично, но бывают баги при прорисовке интерфейса)

Разработчик патча отмечает, что система будет работать исключительно на процессора семейства Core ‘i’ — на Core 2 Duo, увы, не рассчитывайте.

Для установки системы необходимо загрузить и установить патч, получив доступ к загрузке публичной бета-версии ОС. Затем потребуется создать загрузочную USB-флешку и установить систему с нее.

Все необходимые для работы патчи уже включены в сборку. Разработчик патча отмечает, что установку следует проводить на не основной Mac, поскольку в работе системы могут быть сбои. [MR]

Поставьте оценку:

1 Звезд2 Звезды3 Звезды4 Звезды5 Звезд (Нет голосов)
Оставайся в теме. Подпишись на наш Telegram 👏
... и не забывай читать наш Facebook и Twitter 🍒
FavoriteLoading В закладки
undefined
iPhones.ru
Со дня релиза новой операционки прошел ровно месяц.
Прокомментировать

🙈 Комментарии 21

  1. Andrey5 июля в 19:46
    1

    Клиника.

  2. KissMeFast avatar
    KissMeFast5 июля в 19:52
    0

    Жаль на мак 2002 нельзя поставить.

  3. Mes Zadrot5 июля в 20:16
    2

    Какие же Apple жлобы. Почему я на C2D спокойно могу поставить последний релиз 10ки, и он будет хорошо работать, а маки с такими же процами уже пару лет как за бортом? Вот и вся хваленая поддержка…

    bigbox1984 avatar
    bigbox19845 июля в 20:49
    3

    @Mes Zadrot, чтобы система работала стабильно

    e-ch avatar
    e-ch5 июля в 21:14
    1

    @Mes Zadrot, есть такая штука как набор инструкций процессора. В каждом новом поколении они обновляются, но сохраняется и обратная совместимость для старого ПО. 10.14 требует SSE 4.2, который был введен только начиная с i-серии. Винда еще работает со старыми в полной мере, потому что у майков и эпла разные подходы: первым нужно продать как можно большее число лицензий, а значит надо чтобы система запускалась хоть на электровенике, вторым нужно продавать железо, поэтому придумывают способы как подчеркнуть сильные стороны новых компов и дать пинка старым. Дело в том, что на основном их рынке – США, люди покупают маки не для понтов в барбершопе, а раз купленный 10 лет назад мак всё тянет, обновляется и даже выглядит лучше 90% новинок от конкурентов, зачем его менять на новый? Поэтому дают такие толчки. Если что, я не защищаю яблоко, но такова жизнь.

    Mes Zadrot5 июля в 21:21
    2

    @e-ch, а откуда информация, что 10.14 требует sse 4.2? Судя по графическим багам проблема в том, что видюхи в маках 2011- не поддерживают metal, и идет его эмуляция через opengl 4, которого нет в 9000 и 8000 линейке видюх от нвидии, которые стоят в маках с c2d. Большая часть современного софта требуют лишь sse 2 – тот же хром, например, а эти инструкции поддерживают все процы, старше p4 и первых атлонов.
    И ладно, фиг с ними, с c2d и 8000/9000 графикой – они реально старые и слабые, даже HD видео онлайн может стать проблемой. Но блин, зарезать core i второго поколения? Это полнейший бред, ибо тот же 4ядерный i7 в маке 2011 года в легкую уделает 2ядерный core i5 в 13″ маке 2017 года. Так что тут явно жлобство компании, ибо никто не мешал тянуть поддержку opengl дальше.

    e-ch avatar
    e-ch5 июля в 22:30
    0

    @Mes Zadrot, инфа c Macrumors, где её уже под микроскопом разобрали. Большинство софта может и работает c SSE2, но не макось. А аймаки зарезали только из-за видюх, мак про 2010 на тех же (и даже более старых) процессорах поддерживаются при условии совместимой видеокарты. У тех, кто в аймаки поставил видеокарты от ноутов алиенваре достаточно вырубить проверку железа и 10.14 работает.

    Alex K6 июля в 11:24
    0

    @e-ch,
    Производительность ядер c2d и первых iX процессоров практически не отличалась. Количество ядер – в случае мобильного исполнения – тоже.
    Назначение ЛЮБЫХ дополнительных наборов инструкций – УСКОРЕНИЕ обработки. Поэтому ситуация “не работаю без допнабора Х” – это злой умысел.
    Что касается видеокарт, то 3д интерфейсов ни в каких ОСях до сих пор не появилось. Это означает, что 3д акселлерация интерфейсу НЕ ТРЕБУЕТСЯ. А 2Д акселерация – это настолько нересурсоемкая задача, что её делают абсолютно все видеочипы, включая встройку интела и какие-нибудь говно-апу от АМД.
    Что имеем в сухом остатке? Компания Эппл решила повертеть на нефритовом стержне своих апологетов.

    Не, конечно установка новой ОСи на старых аппаратах могла бы вызвать определенные баги, пришлось бы с ними разбираться, тратить ресурсы. А вариант “Нет и всё!” – проще.

    Mes Zadrot6 июля в 13:26
    0

    @Alex K, Производительность ядер c2d и первых iX процессоров практически не отличалась — да, всего-то раза в полтора-два).
    Назначение ЛЮБЫХ дополнительных наборов инструкций – УСКОРЕНИЕ обработки — и возможность обработки в принципе. Поэтому без SSE2 современный софт в принципе не запускается.
    А 2Д акселерация – это настолько нересурсоемкая задача — проблема не в трудности обработки, а в требуемых для этого API. Эппл перешла с opengl на metal, и последний для старых видюх не завезла.
    Во всем другом — согласен).

    zloy_unlock avatar
    zloy_unlock6 июля в 19:42
    0

    @Mes Zadrot, Вы очень сильно заблуждаетесь. Производительность ядра со времен c2d практически не изменилась. Частота тактовая немного выросла, алгоритмы кеширования стали лучше и все на этом. А вот внедрение всяких новых наборов команд и api как раз и нужно только лишь для того, чтобы покупали новые продукты. Как Вы и сами написали, внедрение какого-нибудь SSE100500 тут-же делает продукты с поддержкой SSE100499 – медленными и устаревшими.

    Mes Zadrot6 июля в 21:00
    0

    @zloy_unlock, то, что чуть выросла частота – фиг с ней. Появился гипертрединг – вот вам и полтора раза. Плюс появился кэш L3 – еще с десяток процентов, а то и больше прирост. В общем и целом – на ixbt хватает тестов, разница очень сушествена, ибо интел тогда амд догоняла и перегоняла, нужно было шевелиться (как и сейчас: появились 6ядерники вместо 4ядерников, то есть +50% производительности за поколение).
    Что касается новых наборов команд – я вас умоляю, то, что внедряют, доходит именно до пользователей зачастую через лет 10, то есть способствует продажам реально только в серверном сегменте, где внедрение идет сразу же. Взять тот же AVX – появился ближе к концу нулевых, не нужен не в проф задачах до сих пор. Даже играм хватает SSE 4.
    И нет, я не писал, что, внедрение новых инструкций делает старые продукты медленнее, ибо как писал выше – новые инструкции едва ли нужны пользователям.

  4. HUIBAM avatar
    HUIBAM5 июля в 21:00
    0

    почему macbook pro 2011, i7, 16 ram не хотят обновит
    он просто рвет все эти макьук эйри 2015-16 года, кажется и в правду искусственно ограничили

    e-ch avatar
    e-ch5 июля в 21:04
    0

    @HUIBAM, Mojave не работает без Metal. Вы можете поставить путем небольших манипуляций, но у вас из видеокарт будет работать только HD3000.

    zloy_unlock avatar
    zloy_unlock6 июля в 19:46
    0

    @HUIBAM, потому что Вам снова пора заплатить Apple за “новый” macbook.

  5. e-ch avatar
    e-ch5 июля в 21:03
    0

    Ребят, проверяйте инфу и увольте бабушку Guf’а. Поставить нормально Mojave можно только на компы с Core i-серии и видеокартой Intel (в макбуках про дискретка при этом работать не будет). На аймаках 2009-2011, где поголовно старые радеоны, её можно запустить без аппаратного ускорения, но это совершенно неюзабельный режим и в здравом уме никто пользоваться ей так не будет.

    Владимир Кузин avatar
    Владимир Кузин5 июля в 21:44
    0

    ага, только сперва читаем, потом размышляем и ругаем бабульку;)

  6. heller avatar
    heller5 июля в 21:55
    0

    ага
    да смысла в этом, как в iOS 12 на iPhone 5S))

    чисто для экспериментов или для мазохистов…

    spam8916 июля в 5:52
    0

    @heller, да нормально 5s на iOS 12 себя чувствует🤦‍♂️На уровне бюджетных андроидов отлично работает, скорее больше морально устарел

  7. dimiran avatar
    dimiran6 июля в 9:36
    0

    Походу, мой Mac mini 2012 с Core i7 в следующем году останется за бортом.

  8. Cart avatar
    Cart6 июля в 10:15
    0

    Вот меня дико раздражают ВСЕ ресурсы, пишущие об Apple только одним. Куда девался белый макбук mid 2010. Запомните и запишите себе A1342 Model ID: MacBook7,1. На них прекрасно работают ВСЕ системы при условии установки на ссд (сидиром нах не нужен).

    Philip Kruglikov6 июля в 20:46
    0

    @Cart, ну у меня он. новый SSD поставил месяц назад. про “прекрасную” работу ты преувеличил сильно ) но да, работает, хоть и с некоторыми тормозами и зависаниями

Вы должны авторизоваться или зарегистрироваться для комментирования.

Нашли орфографическую ошибку в новости?

Выделите ее мышью и нажмите Ctrl+Enter.

Как установить аватар в комментариях?

Ответ вот здесь